/* --------------------------------------------------------------------------
 *
 * Copyright (C) 2007 Leif Erik Larsen, Kjerringvik, Norway.
 *
 * This file is part of the Open Source Edition of Larsen Commander, as
 * available from http://home.online.no/~leifel/lcmd/.  This code is free 
 * software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License version 3 only, as published by the 
 * Free Software Foundation.  
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 at http://www.gnu.org/licenses/gpl-3.0.txt for more details 
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * ------------------------------------------------------------------------ */

#ifndef __GLIB_IOEXCEPTION
#define __GLIB_IOEXCEPTION

#include "glib/exceptions/GException.h"

/**
 * A general IO exception class that can be used by various classes
 * to signal an error in some IO operation.
 *
 * @author  Leif Erik Larsen
 * @since   1999.09.05
 */
class GIOException : public GException
{
   public:

      explicit GIOException ( const char* msg, GError sysErr = GError::Ok );
};

#endif
