/* --------------------------------------------------------------------------
 *
 * Copyright (C) 2007 Leif Erik Larsen, Kjerringvik, Norway.
 *
 * This file is part of the Open Source Edition of Larsen Commander, as
 * available from http://home.online.no/~leifel/lcmd/.  This code is free 
 * software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License version 3 only, as published by the 
 * Free Software Foundation.  
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 at http://www.gnu.org/licenses/gpl-3.0.txt for more details 
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * ------------------------------------------------------------------------ */

#include "glib/io/GOutputStream.h"

void GOutputStream::write ( const void* buff, int size, int count ) const
{
   int total = count * size;
   const unsigned char* ptr = (const unsigned char*) buff;
   while (total-- > 0)
   {
      int nextByte = *ptr++;
      writeByte(nextByte);
   }
}

int GOutputStream::print ( const GString& str ) const
{
   const int len = str.length();
   const char* buff = str.cstring();
   write((const void*) buff, len, 1);
   return len;
}

int GOutputStream::printf ( const char* str, const GVArgs& args ) const
{
   GString temp(str, args);
   return print(temp);
}

