/* --------------------------------------------------------------------------
 *
 * Copyright (C) 2007 Leif Erik Larsen, Kjerringvik, Norway.
 *
 * This file is part of the Open Source Edition of Larsen Commander, as
 * available from http://home.online.no/~leifel/lcmd/.  This code is free 
 * software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License version 3 only, as published by the 
 * Free Software Foundation.  
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 at http://www.gnu.org/licenses/gpl-3.0.txt for more details 
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * ------------------------------------------------------------------------ */

#include "glib/resource/GAbstractResource.h"

GAbstractResource::GAbstractResource ( const GString& id )
                  :idString(id)
{
}

GAbstractResource::GAbstractResource ()
{
}

GAbstractResource::GAbstractResource ( const GAbstractResource& src )
                  :GObject(src),
                   idString(src.idString)
{
}

GAbstractResource::~GAbstractResource ()
{
}

GAbstractResource& GAbstractResource::operator= ( const GAbstractResource& src )
{
   if (&src == this)
      return *this;
   GObject::operator=(src);
   this->idString = src.idString;
   return *this;
}

bool GAbstractResource::operator== ( const GAbstractResource& src ) const
{
   if (this == &src)
      return true;
   else
      return idString == src.idString;
}

bool GAbstractResource::operator!= ( const GAbstractResource& src ) const 
{ 
   return !operator==(src); 
}

void GAbstractResource::setIDString ( const GString& newID )
{
   idString = newID;
}

const GString& GAbstractResource::getIDString () const 
{ 
   return idString; 
}

