/* --------------------------------------------------------------------------
 *
 * Copyright (C) 2007 Leif Erik Larsen, Kjerringvik, Norway.
 *
 * This file is part of the Open Source Edition of Larsen Commander, as
 * available from http://home.online.no/~leifel/lcmd/.  This code is free 
 * software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License version 3 only, as published by the 
 * Free Software Foundation.  
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 at http://www.gnu.org/licenses/gpl-3.0.txt for more details 
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * ------------------------------------------------------------------------ */

#include "lcmd/LCmdCmdHist.h"
#include "lcmd/LCmdCmdLineEntry.h"

CommandHistory::CommandHistory ( LCmdCmdLineEntry& entry, int maxNum )
               :LCmdDlgAbstractCmdHistory(maxNum, GStringl("%Txt_DlgAbstractCmdHistory_CmdTitle")),
                entry(entry)
{
}

/**
 * Re-activate the indexed command.
 * The command text will be put into the Text Entry that is used as the
 * Command Line.
 *
 * @return   False if the specified index is illegal, or else true.
 */
bool CommandHistory::retrieve ( int index )
{
   if (index < 0 || index >= getStringCount())
   {
      entry.setText("");
      return false;
   }
   else
   {
      const GString& str = getIndexedString(index);
      entry.setText(str);
      entry.moveCursorEnd();
      return true;
   }
}
